org.bdgenomics.adam.cli

# ViewArgs

#### class ViewArgs extends Args4jBase with ParquetArgs with ADAMSaveAnyArgs

Linear Supertypes
ADAMSaveAnyArgs, SaveArgs, ParquetArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ViewArgs
2. ADAMSaveAnyArgs
3. SaveArgs
4. ParquetArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ViewArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var asSingleFile: Boolean

   Definition Classes
     ViewArgs → ADAMSaveAnyArgs

8. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

11. #### var deferMerging: Boolean

    Definition Classes
      ViewArgs → ADAMSaveAnyArgs

12. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

13. #### var disableFastConcat: Boolean

    Definition Classes
      ViewArgs → ADAMSaveAnyArgs

14. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### var inputPath: String

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### var logLevel: String

    Definition Classes
      ParquetArgs

23. #### var matchAllBits: Int

24. #### var matchSomeBits: Int

25. #### var mismatchAllBits: Int

26. #### var mismatchSomeBits: Int

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### var outputPath: String

    Definition Classes
      ViewArgs → SaveArgs

31. #### var outputPathArg: String

32. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

33. #### var printCount: Boolean

34. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

35. #### var sortFastqOutput: Boolean

    Definition Classes
      ViewArgs → ADAMSaveAnyArgs

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped